HTTP endpoints
Get bridge events
Paginated bridge deposit and withdrawal events.
Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| account | yes | string (hex) | Optional account address filter. |
| roundFrom | yes | string | null |
| roundTo | yes | string | null |
| pageNumber | yes | integer | Zero-based page number. Accepts either a number or a numeric string. |
| pageSize | yes | integer | Page size (number of items per page). Accepts either a number or a numeric string. |
Response fields
| Parameter | Required | Type | Description |
|---|---|---|---|
events | yes | object[] | — |
events[].accountAddress | yes | string (hex) | An Ethereum-style account address (20 bytes). |
events[].amount | yes | string | — |
events[].eventType | yes | string | — |
events[].externalAddress | yes | string | — |
events[].externalTokenAddress | yes | string | — |
events[].id | yes | integer (int64) | — |
events[].round | yes | integer (int64) | — |
events[].timestamp | yes | integer (int64) | — |
Response example
A sample 200 response body is attached to this operation as an OpenAPI example — see the Example panel on this page.
GET
Get bridge events
Path Parameters
Optional account address filter.
Optional start round (inclusive). If provided, roundTo should also be provided.
Optional end round (inclusive). If provided, roundFrom should also be provided.
Zero-based page number. Accepts either a number or a numeric string.
Required range:
x >= 0Page size (number of items per page). Accepts either a number or a numeric string.
Required range:
x >= 0Response
Bridge events
Bridge events returned for the selected account or round range.
Get bridge events